- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Update an EncryptionConfig.
HTTP request
PATCH https://dataplex.googleapis.com/v1/{encryptionConfig.name=organizations/*/locations/*/encryptionConfigs/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
encryptionConfig.name |
Identifier. The resource name of the EncryptionConfig. Format: organizations/{organization}/locations/{location}/encryptionConfigs/{encryptionConfig} Global location is not supported. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. Mask of fields to update. The service treats an omitted field mask as an implied field mask equivalent to all fields that are populated (have a non-empty value). This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of EncryptionConfig.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dataplex.read-write
For more information, see the Authentication Overview.